=== debian/changelog ===
golang-github-confluentinc-bincover (0.2.0-3) unstable; urgency=medium

  * Source-only upload for testing eligibility.

 -- Cyril Brulebois <cyril@debamax.com>  Mon, 17 Oct 2022 15:48:03 +0200

golang-github-confluentinc-bincover (0.2.0-2) unstable; urgency=medium

  * Exclude examples entirely (/usr/bin/echo-arg is not desired).
  * Keep test_bins for the test suite only (don't ship /usr/bin/test_bins).

 -- Cyril Brulebois <cyril@debamax.com>  Thu, 13 Oct 2022 15:31:20 +0000

golang-github-confluentinc-bincover (0.2.0-1) unstable; urgency=medium

  * Initial release (Closes: #1021717).

 -- Cyril Brulebois <cyril@debamax.com>  Thu, 13 Oct 2022 14:14:32 +0000
