=== debian/control ===
Source: golang-github-confluentinc-bincover
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Cyril Brulebois <cyril@debamax.com>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-pkg-errors-dev,
               golang-github-stretchr-testify-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-confluentinc-bincover
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-confluentinc-bincover.git
Homepage: https://github.com/confluentinc/bincover
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/confluentinc/bincover

Package: golang-github-confluentinc-bincover-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-pkg-errors-dev,
         golang-github-stretchr-testify-dev,
         ${misc:Depends}
Description: easily measure code coverage of Golang binaries (library)
 Bincover is a ready-to-use, generic solution to test Go binaries,
 which is robust enough to handle panics and OS exits. It provides a
 simple and flexible API that generates an “instrumented binary” that
 can measure its own coverage, runs it with user-specified command
 line arguments and environment variables, and merges coverage
 profiles generated from multiple test runs.
