=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_EXCLUDES := examples
export DH_GOLANG_INSTALL_EXTRA := test_bins

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

# test_bins is useful for the test suite, but let's not ship /usr/bin/test_bins
execute_after_dh_install:
	rm -rf debian/golang-github-confluentinc-bincover-dev/usr/bin
